net.sourceforge.pmd.lang.java.symboltable

## Class TypeSet.VoidResolver

- java.lang.Object
- - net.sourceforge.pmd.lang.java.symboltable.TypeSet.VoidResolver

All Implemented Interfaces:
  TypeSet.Resolver

Enclosing class:
  TypeSet

    public static class TypeSet.VoidResolver
    extends Object
    implements TypeSet.Resolver

### Constructor Summary

Constructors
Constructor and Description
`TypeSet.VoidResolver()`

### Method Summary

Methods
`Class<?>` `resolve(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TypeSet.VoidResolver

    public TypeSet.VoidResolver()

### Method Detail

#### resolve

    public Class<?> resolve(String name)
                     throws ClassNotFoundException

Specified by:
  `resolve` in interface `TypeSet.Resolver`
Throws:
  `ClassNotFoundException`